Skip to main content
GET
Get article comments

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

articleId
string<uuid>
required

Unique identifier of the article.

Response

Comments returned successfully

id
string<uuid>
required

Unique identifier of the comment.

Example:

"7c9e6679-7425-40de-944b-e07fc1f90ae7"

content
string
required

Content of the comment.

Example:

"Please review the second paragraph for accuracy."

createdAt
string<date-time>
required

Timestamp of when the comment was created.

Example:

"2025-06-15T10:30:00Z"

createdBy
UserData · object
required

User who uploaded the file.

lastUpdatedAt
string<date-time>
required

Timestamp of when the comment was last updated.

Example:

"2025-06-15T14:20:00Z"

resolved
boolean
required

Whether the comment is resolved.

Example:

false

lastContentUpdatedAt
string<date-time>
required

Timestamp of when the comment content was last updated.

Example:

"2025-06-15T14:20:00Z"

lastContentUpdatedBy
UserData · object
required

User who uploaded the file.

lastSolver
UserData · object

User who uploaded the file.

lastResolvedAt
string<date-time>

Timestamp of when the comment was last resolved or unresolved.

Example:

"2025-06-16T09:00:00Z"